# Uses of Class
javafx.print.PrinterJob

Packages that use PrinterJob
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of PrinterJob in javafx.print

Methods in javafx.print that return PrinterJob
Modifier and Type
Method
Description
`static final PrinterJob`
PrinterJob.`createPrinterJob()`
Factory method to create a job.
`static final PrinterJob`
PrinterJob.`createPrinterJob(Printer printer)`
Factory method to create a job for a specified printer.

## Uses of PrinterJob in javafx.scene.web

Methods in javafx.scene.web with parameters of type PrinterJob
Modifier and Type
Method
Description
`void`
HTMLEditor.`print(PrinterJob job)`
Prints the content of the editor using the given printer job.
`void`
WebEngine.`print(PrinterJob job)`
Prints the current Web page using the given printer job.